Index: libgweather.spec
===================================================================
RCS file: /cvs/pkgs/rpms/libgweather/devel/libgweather.spec,v
retrieving revision 1.41
diff -u -r1.41 libgweather.spec
--- libgweather.spec	11 Jun 2009 02:40:24 -0000	1.41
+++ libgweather.spec	18 Jul 2009 20:11:19 -0000
@@ -37,6 +37,683 @@
 developing applications that use %{name}.
 
 
+%package langpack-ang
+Summary: 	Old English language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-ang
+Provides Old English translations for libgweather.
+
+
+%package langpack-ar
+Summary: 	Arabic language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-ar
+Provides Arabic translations for libgweather.
+
+
+%package langpack-as
+Summary: 	Assamese language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-as
+Provides Assamese translations for libgweather.
+
+
+%package langpack-az
+Summary: 	Azerbaijani language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-az
+Provides Azerbaijani translations for libgweather.
+
+
+%package langpack-be
+Summary: 	Belarusian language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-be
+Provides Belarusian translations for libgweather.
+
+
+%package langpack-bg
+Summary: 	Bulgarian language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-bg
+Provides Bulgarian translations for libgweather.
+
+
+%package langpack-bn
+Summary: 	Bengali language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-bn
+Provides Bengali translations for libgweather.
+
+
+%package langpack-bs
+Summary: 	Bosnian language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-bs
+Provides Bosnian translations for libgweather.
+
+
+%package langpack-ca
+Summary: 	Catalan language pack for libgweather
+Group:          Development/Libraries
+Requires:	%{name} = %{version}-%{release}
+
+%description langpack-ca
+Provides Catalan translations for libgweather.
+
+
+%package langpack-cs
+Summary:        Czech language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-cs
+Provides Czech translations for libgweather.
+
+
+%package langpack-cy
+Summary:        Welsh language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-cy
+Provides Welsh translations for libgweather.
+
+
+%package langpack-da
+Summary:        Danish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-da
+Provides Danish translations for libgweather.
+
+
+%package langpack-de
+Summary:        German language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-de
+Provides German translations for libgweather.
+
+
+%package langpack-dz
+Summary:        Bhutanese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-dz
+Provides Bhutanese translations for libgweather.
+
+
+%package langpack-el
+Summary:        Greek language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-el
+Provides Greek translations for libgweather.
+
+
+%package langpack-en_CA
+Summary:        English (Canada) language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-en_CA
+Provides English (Canada) translations for libgweather.
+
+
+
+%package langpack-en_GB
+Summary:        English (UK) language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-en_GB
+Provides English (UK) translations for libgweather.
+
+
+%package langpack-es
+Summary:        Spanish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-es
+Provides Spanish translations for libgweather.
+
+
+%package langpack-et
+Summary:        Estonian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-et
+Provides Estonian translations for libgweather.
+
+
+%package langpack-eu
+Summary:        Basque language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-eu
+Provides Basque translations for libgweather.
+
+
+%package langpack-fa
+Summary:        Persian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-fa
+Provides Persian translations for libgweather.
+
+
+%package langpack-fi
+Summary:        Finnish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-fi
+Provides Finnish translations for libgweather.
+
+
+%package langpack-fr
+Summary:        fr language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-fr
+Provides fr translations for libgweather.
+
+
+
+%package langpack-ga
+Summary:        Irish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ga
+Provides Irish translations for libgweather.
+
+
+%package langpack-gl
+Summary:        Galician language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-gl
+Provides Galician translations for libgweather.
+
+
+%package langpack-gu
+Summary:        Gujarati language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-gu
+Provides Gujarati translations for libgweather.
+
+
+%package langpack-he
+Summary:        Hebrew language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-he
+Provides Hebrew translations for libgweather.
+
+
+%package langpack-hi
+Summary:        Hindi language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-hi
+Provides Hindi translations for libgweather.
+
+
+%package langpack-hr
+Summary:        Croatian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-hr
+Provides Croatian translations for libgweather.
+
+
+%package langpack-hu
+Summary:        Hungarian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-hu
+Provides Hungarian translations for libgweather.
+
+
+%package langpack-id
+Summary:        Indonesian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-id
+Provides Indonesian translations for libgweather.
+
+
+%package langpack-it
+Summary:        Italian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-it
+Provides Italian translations for libgweather.
+
+
+%package langpack-ja
+Summary:        Japanese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ja
+Provides Japanese translations for libgweather.
+
+
+%package langpack-ka
+Summary:        Georgian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ka
+Provides Georgian translations for libgweather.
+
+
+%package langpack-kn
+Summary:        Kannada language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-kn
+Provides Kannada translations for libgweather.
+
+
+%package langpack-ko
+Summary:        Korean language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ko
+Provides Korean translations for libgweather.
+
+
+%package langpack-ku
+Summary:        Kurdish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ku
+Provides Kurdish translations for libgweather.
+
+
+%package langpack-ky
+Summary:        Kirghiz language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ky
+Provides Kirghiz translations for libgweather.
+
+
+%package langpack-lt
+Summary:        Lithuanian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-lt
+Provides Lithuanian translations for libgweather.
+
+
+%package langpack-lv
+Summary:        Latvian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-lv
+Provides Latvian translations for libgweather.
+
+
+%package langpack-mai
+Summary:        Maithili language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-mai
+Provides Maithili translations for libgweather.
+
+
+%package langpack-mg
+Summary:        Malagasy language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-mg
+Provides Malagasy translations for libgweather.
+
+
+%package langpack-mk
+Summary:        Macedonian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-mk
+Provides Makedonian translations for libgweather.
+
+
+%package langpack-ml
+Summary:        Malayalam language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ml
+Provides Malayalam translations for libgweather.
+
+
+%package langpack-mn
+Summary:        Mongolian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-mn
+Provides Mongolian translations for libgweather.
+
+
+%package langpack-mr
+Summary:        Marathi language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-mr
+Provides Marathi translations for libgweather.
+
+
+%package langpack-ms
+Summary:        Malay language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ms
+Provides Malay translations for libgweather.
+
+
+%package langpack-nb
+Summary:        Norwegian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-nb
+Provides Norwegian translations for libgweather.
+
+
+%package langpack-ne
+Summary:        Nepali language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ne
+Provides Nepali translations for libgweather.
+
+
+%package langpack-nl
+Summary:        Dutch language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-nl
+Provides Dutch translations for libgweather.
+
+
+%package langpack-nn
+Summary:        Norwegian Nynorsk language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-nn
+Provides Norwegian Nynorsk translations for libgweather.
+
+
+%package langpack-oc
+Summary:        Occitan language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-oc
+Provides Occitan translations for libgweather.
+
+
+%package langpack-or
+Summary:        Oriya language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-or
+Provides Oriya translations for libgweather.
+
+
+%package langpack-pa
+Summary:        Punjabi language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-pa
+Provides Punjabi translations for libgweather.
+
+
+%package langpack-pl
+Summary:        Polish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-pl
+Provides Polish translations for libgweather.
+
+
+%package langpack-pt_BR
+Summary:        Brazilian Portuguese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-pt_BR
+Provides Brazilian Portuguese translations for libgweather.
+
+
+%package langpack-pt
+Summary:        Portuguese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-pt
+Provides Portuguese translations for libgweather.
+
+
+%package langpack-ro
+Summary:        Romanian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ro
+Provides Romanian translations for libgweather.
+
+
+%package langpack-ru
+Summary:        Russian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ru
+Provides Russian translations for libgweather.
+
+
+%package langpack-rw
+Summary:        Kinyarwanda language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-rw
+Provides Kinyarwanda translations for libgweather.
+
+
+%package langpack-si
+Summary:        Sinhala language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-si
+Provides Sinhala translations for libgweather.
+
+
+%package langpack-sk
+Summary:        Slovak language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-sk
+Provides Slovak translations for libgweather.
+
+
+%package langpack-sl
+Summary:        Slovenian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-sl
+Provides Slovenian translations for libgweather.
+
+
+%package langpack-sq
+Summary:        Albanian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-sq
+Provides Albanian translations for libgweather.
+
+
+%package langpack-sr
+Summary:        Serbian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-sr
+Provides Serbian translations for libgweather.
+
+
+%package langpack-sv
+Summary:        Swedish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-sv
+Provides Swedish translations for libgweather.
+
+
+%package langpack-ta
+Summary:        Tamil language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-ta
+Provides Tamil translations for libgweather.
+
+
+%package langpack-te
+Summary:        Telugu language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-te
+Provides Telugu translations for libgweather.
+
+
+%package langpack-th
+Summary:        Thai language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-th
+Provides Thai translations for libgweather.
+
+
+%package langpack-tr
+Summary:        Turkish language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-tr
+Provides Turkish translations for libgweather.
+
+
+%package langpack-uk
+Summary:        Ukrainian language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-uk
+Provides Ukrainian translations for libgweather.
+
+
+%package langpack-vi
+Summary:        Vietnamese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-vi
+Provides Vietnamese translations for libgweather.
+
+
+%package langpack-zh_CN
+Summary:        Simplified Chinese language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-zh_CN
+Provides simplified Chinese translations for libgweather.
+
+
+%package langpack-zh_HK
+Summary:        Chinese (Hong Kong) language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-zh_HK
+Provides Chinese (Hong Kong) translations for libgweather.
+
+
+%package langpack-zh_TW
+Summary:        Chinese (Taiwan) language pack for libgweather
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description langpack-zh_TW
+Provides Chinese (Taiwan) translations for libgweather.
+
+
 %prep
 %setup -q
 
@@ -92,7 +769,7 @@
 %postun -p /sbin/ldconfig
 
 
-%files -f %{name}.lang
+%files
 %defattr(-,root,root,-)
 %doc COPYING
 %{_sysconfdir}/gconf/schemas/gweather.schemas
@@ -108,8 +785,392 @@
 %{_libdir}/pkgconfig/gweather.pc
 %{_datadir}/gtk-doc/html/libgweather
 
+%files langpack-ang
+%defattr(-,root,root,-)
+%{_datadir}/locale/ang/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ang.xml
+
+%files langpack-ar
+%defattr(-,root,root,-)
+%{_datadir}/locale/ar/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ar.xml
+
+%files langpack-as
+%defattr(-,root,root,-)
+%{_datadir}/locale/as/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.as.xml
+
+%files langpack-az
+%defattr(-,root,root,-)
+%{_datadir}/locale/az/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.az.xml
+
+%files langpack-be
+%defattr(-,root,root,-)
+%{_datadir}/locale/be/LC_MESSAGES/libgweather.mo
+%{_datadir}/locale/be@latin1/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.be.xml
+%{_datadir}/libgweather/Locations.be@latin1.xml
+
+%files langpack-bg
+%defattr(-,root,root,-)
+%{_datadir}/locale/bg/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.bg.xml
+
+%files langpack-bn
+%defattr(-,root,root,-)
+%{_datadir}/locale/bn/LC_MESSAGES/libgweather.mo
+%{_datadir}/locale/bn_IN/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.bn.xml
+%{_datadir}/libgweather/Locations.bn_IN.xml
+
+%files langpack-bs
+%defattr(-,root,root,-)
+%{_datadir}/locale/bs/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.bs.xml
+
+%files langpack-ca
+%defattr(-,root,root,-)
+%{_datadir}/locale/ca/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ca.xml
+
+%files langpack-cs
+%defattr(-,root,root,-)
+%{_datadir}/locale/cs/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.cs.xml
+
+%files langpack-cy
+%defattr(-,root,root,-)
+%{_datadir}/locale/cy/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.cy.xml
+
+%files langpack-da
+%defattr(-,root,root,-)
+%{_datadir}/locale/da/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.da.xml
+
+%files langpack-de
+%defattr(-,root,root,-)
+%{_datadir}/locale/de/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.de.xml
+
+%files langpack-dz
+%defattr(-,root,root,-)
+%{_datadir}/locale/dz/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.dz.xml
+
+%files langpack-el
+%defattr(-,root,root,-)
+%{_datadir}/locale/el/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.el.xml
+
+%files langpack-en_CA
+%defattr(-,root,root,-)
+%{_datadir}/locale/en_CA/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.en_CA.xml
+
+%files langpack-en_GB
+%defattr(-,root,root,-)
+%{_datadir}/locale/en_GB/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.en_GB.xml
+
+%files langpack-es
+%defattr(-,root,root,-)
+%{_datadir}/locale/es/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.es.xml
+
+%files langpack-et
+%defattr(-,root,root,-)
+%{_datadir}/locale/et/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.et.xml
+
+%files langpack-eu
+%defattr(-,root,root,-)
+%{_datadir}/locale/eu/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.eu.xml
+
+%files langpack-fa
+%defattr(-,root,root,-)
+%{_datadir}/locale/fa/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.fa.xml
+
+%files langpack-fi
+%defattr(-,root,root,-)
+%{_datadir}/locale/fi/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.fi.xml
+
+%files langpack-fr
+%defattr(-,root,root,-)
+%{_datadir}/locale/fr/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.fr.xml
+
+%files langpack-ga
+%defattr(-,root,root,-)
+%{_datadir}/locale/ga/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ga.xml
+
+%files langpack-gl
+%defattr(-,root,root,-)
+%{_datadir}/locale/gl/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.gl.xml
+
+%files langpack-gu
+%defattr(-,root,root,-)
+%{_datadir}/locale/gu/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.gu.xml
+
+%files langpack-he
+%defattr(-,root,root,-)
+%{_datadir}/locale/he/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.he.xml
+
+%files langpack-hi
+%defattr(-,root,root,-)
+%{_datadir}/locale/hi/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.hi.xml
+
+%files langpack-hr
+%defattr(-,root,root,-)
+%{_datadir}/locale/hr/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.hr.xml
+
+%files langpack-hu
+%defattr(-,root,root,-)
+%{_datadir}/locale/hu/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.hu.xml
+
+%files langpack-id
+%defattr(-,root,root,-)
+%{_datadir}/locale/id/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.id.xml
+
+%files langpack-it
+%defattr(-,root,root,-)
+%{_datadir}/locale/it/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.it.xml
+
+%files langpack-ja
+%defattr(-,root,root,-)
+%{_datadir}/locale/ja/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ja.xml
+
+%files langpack-ka
+%defattr(-,root,root,-)
+%{_datadir}/locale/ka/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ka.xml
+
+%files langpack-kn
+%defattr(-,root,root,-)
+%{_datadir}/locale/kn/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.kn.xml
+
+%files langpack-ko
+%defattr(-,root,root,-)
+%{_datadir}/locale/ko/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ko.xml
+
+%files langpack-ku
+%defattr(-,root,root,-)
+%{_datadir}/locale/ku/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ku.xml
+
+%files langpack-ky
+%defattr(-,root,root,-)
+%{_datadir}/locale/ky/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ky.xml
+
+%files langpack-lt
+%defattr(-,root,root,-)
+%{_datadir}/locale/lt/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.lt.xml
+
+%files langpack-lv
+%defattr(-,root,root,-)
+%{_datadir}/locale/lv/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.lv.xml
+
+%files langpack-mai
+%defattr(-,root,root,-)
+%{_datadir}/locale/mai/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.mai.xml
+
+%files langpack-mg
+%defattr(-,root,root,-)
+%{_datadir}/locale/mg/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.mg.xml
+
+%files langpack-mk
+%defattr(-,root,root,-)
+%{_datadir}/locale/mk/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.mk.xml
+
+%files langpack-ml
+%defattr(-,root,root,-)
+%{_datadir}/locale/ml/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ml.xml
+
+%files langpack-mn
+%defattr(-,root,root,-)
+%{_datadir}/locale/mn/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.mn.xml
+
+%files langpack-mr
+%defattr(-,root,root,-)
+%{_datadir}/locale/mr/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.mr.xml
+
+%files langpack-ms
+%defattr(-,root,root,-)
+%{_datadir}/locale/ms/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ms.xml
+
+%files langpack-nb
+%defattr(-,root,root,-)
+%{_datadir}/locale/nb/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.nb.xml
+
+%files langpack-ne
+%defattr(-,root,root,-)
+%{_datadir}/locale/ne/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ne.xml
+
+%files langpack-nl
+%defattr(-,root,root,-)
+%{_datadir}/locale/nl/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.nl.xml
+
+%files langpack-nn
+%defattr(-,root,root,-)
+%{_datadir}/locale/nn/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.nn.xml
+
+%files langpack-oc
+%defattr(-,root,root,-)
+%{_datadir}/locale/oc/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.oc.xml
+
+%files langpack-or
+%defattr(-,root,root,-)
+%{_datadir}/locale/or/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.or.xml
+
+%files langpack-pa
+%defattr(-,root,root,-)
+%{_datadir}/locale/pa/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.pa.xml
+
+%files langpack-pl
+%defattr(-,root,root,-)
+%{_datadir}/locale/pl/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.pl.xml
+
+%files langpack-pt_BR
+%defattr(-,root,root,-)
+%{_datadir}/locale/pt_BR/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.pt_BR.xml
+
+%files langpack-pt
+%defattr(-,root,root,-)
+%{_datadir}/locale/pt/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.pt.xml
+
+%files langpack-ro
+%defattr(-,root,root,-)
+%{_datadir}/locale/ro/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ro.xml
+
+%files langpack-ru
+%defattr(-,root,root,-)
+%{_datadir}/locale/ru/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ru.xml
+
+%files langpack-rw
+%defattr(-,root,root,-)
+%{_datadir}/locale/rw/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.rw.xml
+
+%files langpack-si
+%defattr(-,root,root,-)
+%{_datadir}/locale/si/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.si.xml
+
+%files langpack-sk
+%defattr(-,root,root,-)
+%{_datadir}/locale/sk/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.sk.xml
+
+%files langpack-sl
+%defattr(-,root,root,-)
+%{_datadir}/locale/sl/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.sl.xml
+
+%files langpack-sq
+%defattr(-,root,root,-)
+%{_datadir}/locale/sq/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.sq.xml
+
+%files langpack-sr
+%defattr(-,root,root,-)
+%{_datadir}/locale/sr/LC_MESSAGES/libgweather.mo
+%{_datadir}/locale/sr@latin/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.sr.xml
+%{_datadir}/libgweather/Locations.sr@latin.xml
+
+%files langpack-sv
+%defattr(-,root,root,-)
+%{_datadir}/locale/sv/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.sv.xml
+
+%files langpack-ta
+%defattr(-,root,root,-)
+%{_datadir}/locale/ta/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.ta.xml
+
+%files langpack-te
+%defattr(-,root,root,-)
+%{_datadir}/locale/te/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.te.xml
+
+%files langpack-th
+%defattr(-,root,root,-)
+%{_datadir}/locale/th/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.th.xml
+
+%files langpack-tr
+%defattr(-,root,root,-)
+%{_datadir}/locale/tr/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.tr.xml
+
+%files langpack-uk
+%defattr(-,root,root,-)
+%{_datadir}/locale/uk/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.uk.xml
+
+%files langpack-vi
+%defattr(-,root,root,-)
+%{_datadir}/locale/vi/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.vi.xml
+
+%files langpack-zh_CN
+%defattr(-,root,root,-)
+%{_datadir}/locale/zh_CN/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.zh_CN.xml
+
+%files langpack-zh_HK
+%defattr(-,root,root,-)
+%{_datadir}/locale/zh_HK/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.zh_HK.xml
+
+%files langpack-zh_TW
+%defattr(-,root,root,-)
+%{_datadir}/locale/zh_TW/LC_MESSAGES/libgweather.mo
+%{_datadir}/libgweather/Locations.zh_TW.xml
+
 
 %changelog
+* Sat Jul 18 2009 Matthias Clasen <mclasen@redhat.com> 2.26.1-4
+- Split into langpacks
+
 * Wed Jun 10 2009 Matthias Clasen <mclasen@redhat.com> 2.26.1-3
 - Fix multilib parallel-installability (#477672)
 - Remove some old optimizations that are now no-ops
